## ros-one-cartesian-interface 0.1.7-2jammy.20251023.0023

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cartesian_interface)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
        geometry_msgs
        hardware_interface
        roscpp
  )


catkin_package(
  INCLUDE_DIRS include
  #LIBRARIES
  CATKIN_DEPENDS
    geometry_msgs
    hardware_interface
    roscpp
  #DEPENDS system_lib
  )

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

#############
## Install ##
#############

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(cartesian_state_interface_test test/cartesian_state_interface_test.cpp)
  target_link_libraries(cartesian_state_interface_test ${catkin_LIBRARIES})

  catkin_add_gtest(cartesian_command_interface_test test/cartesian_command_interface_test.cpp)
  target_link_libraries(cartesian_command_interface_test ${catkin_LIBRARIES})
endif()

=== debian/changelog ===
ros-one-cartesian-interface (0.1.7-2jammy.20251023.0023) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <mauch@fzi.de>  Thu, 23 Oct 2025 00:23:49 +0000

ros-one-cartesian-interface (0.1.7-0jammy) jammy; urgency=high



 -- Felix Exner <mauch@fzi.de>  Mon, 29 Jul 2024 00:00:00 -0000

ros-one-cartesian-interface (0.1.6-0jammy) jammy; urgency=high

  * Clean up package.xml files (#13 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/13>)
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Wed, 12 Jun 2024 00:00:00 -0000

ros-one-cartesian-interface (0.1.5-0jammy) jammy; urgency=high



 -- Felix Exner <mauch@fzi.de>  Thu, 02 Dec 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.4-0jammy) jammy; urgency=high

  * Add websites to package.xml files
  * Update image paths of partner logos (#4 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/4>)
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Thu, 05 Aug 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.3-0jammy) jammy; urgency=high



 -- Felix Exner <mauch@fzi.de>  Wed, 23 Jun 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.2-0jammy) jammy; urgency=high



 -- Felix Exner <mauch@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.1-0jammy) jammy; urgency=high

  * Removed trailing whitespaces from README's
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.0-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

## ros-one-cartesian-interface 0.1.7-2jammy.20260220.2122

=== debian/changelog ===
ros-one-cartesian-interface (0.1.7-2jammy.20260220.2122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <mauch@fzi.de>  Fri, 20 Feb 2026 21:23:00 +0000

## ros-one-cartesian-interface 0.1.7-2noble.20251023.0022

=== debian/changelog ===
ros-one-cartesian-interface (0.1.7-2noble.20251023.0022) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <mauch@fzi.de>  Thu, 23 Oct 2025 00:22:35 +0000

ros-one-cartesian-interface (0.1.7-0noble) noble; urgency=high



 -- Felix Exner <mauch@fzi.de>  Mon, 29 Jul 2024 00:00:00 -0000

ros-one-cartesian-interface (0.1.6-0noble) noble; urgency=high

  * Clean up package.xml files (#13 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/13>)
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Wed, 12 Jun 2024 00:00:00 -0000

ros-one-cartesian-interface (0.1.5-0noble) noble; urgency=high



 -- Felix Exner <mauch@fzi.de>  Thu, 02 Dec 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.4-0noble) noble; urgency=high

  * Add websites to package.xml files
  * Update image paths of partner logos (#4 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/4>)
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Thu, 05 Aug 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.3-0noble) noble; urgency=high



 -- Felix Exner <mauch@fzi.de>  Wed, 23 Jun 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.2-0noble) noble; urgency=high



 -- Felix Exner <mauch@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.1-0noble) noble; urgency=high

  * Removed trailing whitespaces from README's
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-cartesian-interface (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

=== debian/control ===
Source: ros-one-cartesian-interface
Section: misc
Priority: optional
Maintainer: Felix Exner <mauch@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-hardware-interface, ros-one-roscpp
Homepage: http://wiki.ros.org/cartesian_interface
Standards-Version: 3.9.2

Package: ros-one-cartesian-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-hardware-interface, ros-one-roscpp
Description: Defines a hardware interface to send Cartesian commands to a robot hardware and read Cartesian states.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-cartesian-interface//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-cartesian-interface 0.1.7-2noble.20260220.2129

=== debian/changelog ===
ros-one-cartesian-interface (0.1.7-2noble.20260220.2129) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <mauch@fzi.de>  Fri, 20 Feb 2026 21:29:51 +0000
